/* 想い */
.about-content {
  width: 88.888%;
  max-width: 1200px;
  margin: 0 auto 20rem;
}

.about-mind {
  position: relative;
  padding: 15rem 2rem;
  font-family: var(--font-hand);
}

/* 背景画像 */
.about-mind-bg {
  position: absolute;
  inset: 0;
  display: flex;
  justify-content: center;
  align-items: center;
  pointer-events: none;
}

.about-mind-bg img {
  width: min(700px, 80vw);
  opacity: 0.6;
}

/* テキスト */
.about-mind-inner {
  position: relative;
  z-index: 2;
  text-align: center;

  transform: translateY(-5rem);
}

.about-mind h2 {
  color: var(--sub-color);
  font-size: clamp(2rem, 2.8vw, 3rem);
  font-weight: 400;
  margin-bottom: 2rem;
}

.about-mind-text p {
  letter-spacing: 0.05em;
}



/* プロフィール */
.about-profile {
  position: relative;
}

/* =========================
背景タイトル
========================= */

.about-profile-heading {
  position: absolute;
  top: 0;
  right: 0;
  z-index: 0;
}

.about-profile-heading h2 {
  font-size: clamp(5rem, 8vw, 10rem);
  color: #EDEAE1;
  line-height: 1;
  font-weight: 400;
}

/* =========================
レイアウト
========================= */

.about-profile-inner {
  position: relative;
  z-index: 2;
  display: grid;
  grid-template-columns: 360px 1fr;
  gap: clamp(3rem, 6vw, 8rem);
  align-items: center;
  padding-top: 10rem;
}

/* =========================
画像エリア
========================= */

.about-profile-image-wrap {
  position: relative;
}

/* 二重フレーム */
.profile-frame {
  position: absolute;
  top: -1.5rem;
  left: 1.5rem;
  width: 100%;
  height: 90%;
  border: 3px double #CFC9BE;
  z-index: 0;
}

.about-profile-image {
  position: relative;
  z-index: 2;
  display: block;
}

.about-profile-image img {
  width: 100%;
  display: block;
}

/* 名前 */
.profile-name {
  margin-top: 1rem;
  font-size: 1.4rem;
  letter-spacing: 0.08em;
}

/* =========================
装飾丸
========================= */

.profile-circle {
  position: absolute;
  border-radius: 50%;
  background: #FBF8EC;
  z-index: -1;
}

.profile-circle-top {
  width: 160px;
  height: 160px;

  top: -3rem;
  right: -5rem;
}

.profile-circle-bottom {
  width: 140px;
  height: 140px;
  bottom: -6rem;
  left: -6rem;
}




/* 強み */
.about-heading {
  position: relative;
  width: min(350px, 90%);
  margin: 0 auto 8rem;
  padding: 1rem;
  border-top: 1px solid var(--sub-color);
  border-bottom: 1px solid var(--sub-color);
}

.about-heading::before,
.about-heading::after {
  content: "";
  position: absolute;
  top: -7px;
  bottom: -7px;
  width: 1px;
  background: var(--sub-color);
}

/* 左の縦線 */
.about-heading::before {
  left: 7px;
}

/* 右の縦線 */
.about-heading::after {
  right: 7px;
}

.about-heading h2 {
  text-align: center;
  font-size: clamp(1.8rem, 2vw, 2rem);
  color: var(--sub-color);
  font-weight: 400;
}

.strength-grid {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  gap: clamp(1rem, 3vw, 3rem);
}

.strength-item {
  max-width: 350px;
  margin: 0 auto;
}

.strength-image {
  position: relative;
  width: 100%;
  aspect-ratio: 1 / 1;
  border-radius: 50%;
  overflow: hidden;
  margin-bottom: 4rem;
}

.strength-image picture,
.strength-image img {
  width: 100%;
  height: 100%;
  display: block;
}

.strength-image img {
  object-fit: cover;
  transform: scale(1.015);
  backface-visibility: hidden;
}

/* overlay */
.strength-image::after {
  content: "";
  position: absolute;
  inset: 0;
  background: rgba(127, 134, 107, 0.65);
}

/* 英字 */
.strength-en {
  position: absolute;
  inset: 0;
  display: flex;
  justify-content: center;
  align-items: center;
  text-align: center;
  font-family: var(--font-en);
  font-size: clamp(2.2rem, 2vw, 3.2rem);
  line-height: 1.4;
  color: #fff;
  z-index: 2;
}

.strength-title {
  margin-bottom: 2rem;
  font-size: clamp(1.4rem, 2vw, 2rem);
  font-weight: 600;
  text-align: center;
}

.strength-text p:last-child {
  text-align: justify;
}



/* できること */
.about-skill-inner {
  position: relative;
  min-height: 520px;
  display: flex;
  justify-content: center;
  align-items: center;
}


.about-skill-bg {
  position: absolute;
  inset: 0;
  display: flex;
  justify-content: center;
  align-items: center;
  pointer-events: none;
}

.about-skill-bg img {
  width: min(700px, 80vw);
  opacity: 0.6;
}

.about-skill-list {
  position: relative;
  z-index: 2;
  width: fit-content;
}

.about-skill-list ul {
  display: flex;
  flex-direction: column;
  gap: 1rem;
  margin: 0;
  padding: 0;
}

.about-skill-list li {
  position: relative;
  padding-left: 1rem;
  line-height: 2.5;
  letter-spacing: 0.05em;
  list-style: disc
}

.about-skill-list li:nth-of-type(4) {
  line-height: 1.8;
}

.about-skill-list li::marker {
  color: var(--sub-color);
}

.about-skill-list span {
  font-size: clamp(1.3rem, 1.4vw, 1.4rem);
}




/* 制作実例ボタン */
.about-works {
  max-width: 880px;
  margin: 0 auto 15rem;
}

.about-works p a {
  color: var(--sub-color);
  text-decoration: underline;
  transition: opacity 0.3s ease;
}

.about-works p a:hover {
  opacity: .7;
}

.about-works-text {
  margin-bottom: 5rem;
  line-height: 2.2;
  letter-spacing: 0.05em;
}

.about-works-text a {
  color: var(--sub-color);
  text-decoration: underline;
  text-underline-offset: 0.2em;
}

.about-works-content {
  display: grid;
  grid-template-columns: 1fr auto;
  gap: 2rem;
  align-items: center;
}


.about-works-image picture,
.about-works-image img {
  display: block;
  width: 100%;
}

.about-works-image img {
  object-fit: cover;
  transition: transform 0.6s ease;
}

.about-works-image:hover img {
  transform: scale(1.03);
}

.about-works-button {
  flex-shrink: 0;
}




/* 英語制作 */
.about-english {
  display: flex;
  align-items: flex-start;
  justify-content: space-between;
  gap: 5rem;
  max-width: 940px;
  margin: 0 auto 15rem;
}

.about-english-text {
  position: relative;
  width: 50%;
  padding-top: 2rem;
  padding-left: 3rem;
  text-align: justify;
}

.about-english-text::before {
  content: "";
  position: absolute;
  top: -20px;
  left: 0;
  width: 120px;
  height: 120px;
  background: #FBF8EC;
  border-radius: 50%;
  z-index: -1;
}

.about-english-title {
  font-weight: 700;
}

.about-english-image {
  width: 45%;
}

.about-english-image img {
  border: 1px solid #E5DAA8;
}




/* ご挨拶 */
.about-greeting {
  position: relative;
}

.about-greeting-inner {
  position: relative;
  max-width: 1000px;
  margin: 0 auto;
  padding: 5rem 8rem;
  background: linear-gradient(90deg,
      #FEF8D6 0%,
      #FFFDF4 50%,
      #FEF8D6 100%);
  display: flex;
  align-items: center;
  justify-content: space-between;
  gap: 5rem;
}


/* 四隅の線 */
.about-greeting-inner::before,
.about-greeting-inner::after,
.about-greeting-inner .corner-top-left,
.about-greeting-inner .corner-top-right {
  position: absolute;
  content: "";
  width: 28px;
  height: 28px;
}

/* 左上 */
.about-greeting-inner .corner-top-left {
  top: -10px;
  left: -10px;
  border-top: 1px solid var(--en-color);
  border-left: 1px solid var(--en-color);
}

/* 右上 */
.about-greeting-inner .corner-top-right {
  top: -10px;
  right: -10px;
  border-top: 1px solid var(--en-color);
  border-right: 1px solid var(--en-color);
}

/* 左下 */
.about-greeting-inner::before {
  bottom: -10px;
  left: -10px;
  border-bottom: 1px solid var(--en-color);
  border-left: 1px solid var(--en-color);
}

/* 右下 */
.about-greeting-inner::after {
  bottom: -10px;
  right: -10px;
  border-bottom: 1px solid var(--en-color);
  border-right: 1px solid var(--en-color);
}

.about-greeting-text {
  font-family: var(--font-hand);
  font-size: clamp(1.5rem, 1.8vw, 1.8rem);
}

.about-greeting-image {
  flex-shrink: 0;
  width: 200px;
}




/* =========================
SP
========================= */
@media (max-width: 767px) {

  .about-content {
    width: 85%;
    margin: 0 auto 7rem;
  }

}


/* 想い */
@media (max-width: 767px) {
  .about-mind {
    padding: 8rem 0rem 2rem;
  }

  .about-mind-text p {
    text-align: left;
  }

  .about-mind-bg {
    top: 25px;
  }
}



/* プロフィール */
@media (max-width: 1000px) {

  .about-profile {
    padding: 8rem 0 2rem;
  }

  .about-profile-inner {
    grid-template-columns: 1fr;
    gap: 5rem;
    padding-top: 2rem;
  }

  .about-profile-text p {
    margin-bottom: 1rem;
  }

  .about-profile-image img {
    width: 70%;
    margin: 0 auto;
    display: block;
  }

  .profile-frame {
    left: 13.5rem;
    top: -1.5rem;
    height: 90%;
    width: 70%;
  }

  .profile-name {
    max-width: 70%;
    margin: .5rem auto 0;
  }

  .profile-circle-top {
    right: -2rem;
  }

  .profile-circle-bottom {
    width: 100px;
    height: 100px;
    bottom: -4rem;
  }

  .noTb {
    display: none;
  }

}

@media (max-width: 767px) {

  .about-profile-image img {
    width: 100%;
    margin: 0 auto;
    display: block;
  }

  .profile-frame {
    left: 1.2rem;
    top: -1rem;
    height: 85%;
    width: 100%;
  }

  .profile-name {
    max-width: 100%;
    margin: .5rem auto 0;
  }
}




/* 強み */
@media (max-width: 767px) {

  .about-heading {
    padding: .5rem;
    margin-bottom: 4rem;
  }

  .strength-grid {
    grid-template-columns: 1fr;
    gap: 5rem;
  }

  .strength-item {
    max-width: 100%;
  }

  .strength-image {
    width: 70%;
    margin: 0 auto 2rem;
  }

  .strength-heading {
    margin-bottom: 7rem;
  }

  .strength-heading::before,
  .strength-heading::after,
  .strength-heading h2::before,
  .strength-heading h2::after {
    transform: scale(0.8);
  }
}


/* できること */
@media (max-width: 767px) {
  .about-skill-bg {

    align-items: normal;
  }

  .about-skill-list {
    padding: 0 2rem;
  }

  .about-skill-inner {
    min-height: auto;
  }

  .about-skill-list li {
    padding-left: 0;
    line-height: 1.9;
  }

  .about-skill-list span {
    display: block;
    margin-left: 0;
    margin-top: 0.5rem;
  }
}


/* 制作実例ボタン */
@media (max-width: 767px) {

  .about-works {
    margin-bottom: 5rem;
  }

  .about-works-content {
    grid-template-columns: 1fr;
    gap: 2rem;
  }

  .about-works-button {
    display: flex;
    justify-content: center;
  }
}



/* 英語制作 */
@media screen and (max-width: 767px) {
  .about-english {
    flex-direction: column;
    gap: 3rem;
    margin-bottom: 5rem;
  }

  .about-english-text,
  .about-english-image {
    width: 100%;
  }

  .about-english-text {
    padding-left: 0;
  }

  .about-english-text::before {
    width: 90px;
    height: 90px;
    top: -10px;
    left: -20px;
  }

}


/* ご挨拶 */
@media screen and (max-width: 767px) {

  .about-greeting {
    padding: 5rem 2rem;
  }

  .about-greeting-inner {
    flex-direction: column-reverse;
    gap: 3rem;
    padding: 3rem 2rem;
  }

  .about-greeting-image {
    width: min(220px, 55%);
  }

  .about-greeting-inner::before,
  .about-greeting-inner::after,
  .about-greeting-inner .corner-top-left,
  .about-greeting-inner .corner-top-right {
    width: 15px;
    height: 15px;
  }
}